Bug 489450 - Enigmail crashes SeaMonkey [NEEDINFO]
Enigmail crashes SeaMonkey
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: seamonkey (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 03:20 EDT by Dave Serrano
Modified: 2009-12-18 03:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:59:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kengert: needinfo? (enigmail-ccd4)


Attachments (Terms of Use)
gdb output of SeaMonkey when clicking on gpg signed e-mail (13.46 KB, text/plain)
2009-03-13 02:29 EDT, Dave Serrano
no flags Details

  None (edit)
Description Dave Serrano 2009-03-10 03:20:53 EDT
Description of problem:
SeaMonkey with Enigmail crashes when selecting a GPG signed mail or an OpenPGP menu item.

Version-Release number of selected component (if applicable):
SeaMonkey 1.1.14 (Enigmail 0.95.7 and 0.94.3)

How reproducible:
Always

Steps to Reproduce:
1. Install Enigmail 0.95.7 (non-GTK1 version) or 0.94.3 (GTK1 version)

With both Enigmail versions:
2. Click on a signed e-mail 

With Enigmail 0.95.7:
2. Click any OpenPGP menu item
  
Actual results:
SeaMonkey crashes, i.e. all windows disappear.

Expected results:
E-mail is displayed/Dialog windows appear.

Additional info:
An strace of the SeaMonkey process shows that it successfully executes "gpg --charset utf8 --batch --no-tty --version" but then it dies with a segfault.

The Enigmail guys do not feel responsible for debugging the interaction of their product with distro packaged Browsers. They say I should use a Fedora Enigmail package (which doesn't exist AFAIK).

BTW: Bugzilla's advanced search form lacks the seamonkey component.
Comment 1 Matěj Cepl 2009-03-11 11:42:05 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please also install seamonkey-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install seamonkey

Then run seamonkey with a parameter -g. That will start seamonkey running inside of gdb debugger. Then use command run and do whatever you did to make seamonkey crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Dave Serrano 2009-03-12 04:43:47 EDT
I installed seamonkey-debuginfo and ran "seamonkey -g" but it isn't started inside gdb. When I tried to run in inside gdb manually, I get the following:

[cg@nillepu ~]$ gdb /usr/lib/seamonkey-1.1.14/seamonkey-bin
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) run
Starting program: /usr/lib/seamonkey-1.1.14/seamonkey-bin 
/usr/lib/seamonkey-1.1.14/seamonkey-bin: error while loading shared libraries:
libxpcom_core.so: cannot open shared object file: No such file or directory

Program exited with code 0177.
(gdb) quit
[cg@nillepu ~]$ ldd /usr/lib/seamonkey-1.1.14/seamonkey-bin | grep libxpcom
	libxpcom.so => /usr/lib/xulrunner-1.9/libxpcom.so (0x0064c000)
	libxpcom_core.so => not found
[cg@nillepu ~]$
Comment 3 Dave Serrano 2009-03-13 02:29:18 EDT
Created attachment 335061 [details]
gdb output of SeaMonkey when clicking on gpg signed e-mail

Seems that SeaMonkey needs LD_LIBRARY_PATH to be set ... Find the gdb output attached.
Comment 4 Matěj Cepl 2009-03-24 17:17:12 EDT
(In reply to comment #2)
> I installed seamonkey-debuginfo and ran "seamonkey -g" but it isn't started
> inside gdb.

Which is actually seamonkey's bug in itself. Please, do file it in our bugzilla, copmonent seamonkey.

Thanks in advance.
Comment 5 Kai Engert (:kaie) 2009-06-18 02:59:35 EDT
Where did you get the enigmail binary from?
It might be some incompatibility between the binary builds.

You should be able to start seamonkey "the usual way" and "inside gdb" with the following command:
  seamonkey -g -d gdb

But your debug output is sufficient to tell me that you crash in engimail.
The crash is not in seamonkey, so there's not much I can do here.
The bug should be reported against enigmail.

Or even better, before you do so, make sure you get a binary that is compatible with this fedora release and seamonkey version.
I don't know how to do this. You might have to follow enigmail build instructions and do a build yourself?

At the very least, you need to have debug symbols for enigmail installed on your system. Without it, nobody knows where exactly it is crashing:

Thread 1 (Thread 0xb7fe5b20 (LWP 3451)):
#0  ~nsCOMPtr_base (this=0x3) at nsCOMPtr.cpp:80
#1  0x01e271ea in ?? () from /usr/lib/seamonkey-1.1.14/components/libenigmime.so
#2  0xbfffc660 in ?? ()
#3  0x08f77374 in ?? ()
#4  0x00000000 in ?? ()
Comment 6 Bug Zapper 2009-11-18 06:19:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 03:59:27 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.